Name:           grhino
Version:        0.15.0
Release:        4%{?dist}
Summary:        Reversi game for GNOME, supporting the Go/Game Text Protocol

Group:          Amusements/Games
License:        GPL
URL:            http://rhino.sourceforge.net/
#Source0:        http://dl.sourceforge.net/rhino/grhino-%{version}.tar.gz
Source0:	grhino-%{version}-patched.tar.bz2
Source1:	%{name}.desktop
Patch0:		grhino-Makefile-in.patch
Patch1:		grhino-configure-gettext.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:  libgnomeui-devel
BuildRequires:	scrollkeeper
#Requires:       
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper

%description
GRhino, or Rhino its former name, is a Reversi game on Linux and other
UNIX-like systems as long as GNOME 2 libraries are installed. It is currently
under development and a new version is available occasionally.

What distinguish GRhino from most other Reversi games is that GRhino will be
targeted for experienced Reversi players. Strong AI is the main focus with some
additional good, useful features (like an endgame solver) is planned. The
ultimate target strength of the AI is that it should be able to beat the best
human player at the highest difficulty level. Beating Logistello (the strongest
program available) is not in the plan :) 

GRhino supports the Go/Game Text Protocol (GTP), allowing it to be used as
an engine for a GTP-compliant controller like Quarry.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# move omf files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/omf/grhino/
mv $RPM_BUILD_ROOT%{_datadir}/gnome/help/grhino/*/grhino-*.omf $RPM_BUILD_ROOT%{_datadir}/omf/grhino/

# desktop file
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category X-Fedora \
	%{SOURCE1}

%find_lang %{name}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS README TODO
%{_bindir}/grhino
%{_bindir}/gtp-rhino
%{_datadir}/applications/*.desktop
#%{_datadir}/locale/*/LC_MESSAGES/quarry.mo
%{_datadir}/gnome/help/grhino/
%{_datadir}/grhino-%{version}/
%{_datadir}/omf/grhino/


%changelog
* Sun Nov 13 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-4
- Reverted game name used in GTP protocol

* Sun Sep  4 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-3
- removed references to copyrighted name
- packaged modified tarball to prevent trademark infringement
- patched configure to fix gettext detection on x86_64

* Fri Sep  2 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-2
- changed BuildReq from libgnome-devel to libgnomeui-devel, which requires
  the former

* Sat Aug 20 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-1
- initial package
